PHP is among the most widely used general-purpose programming languages. It is rather popular because it is free software, which can be used to build interactive websites like community web portals, Internet shops or online learning portals as opposed to static HTML websites. A PHP module must be installed on the server where a PHP-powered site is hosted so that its PHP code can be interpreted. As there aren’t any license fees for this sort of module and the language itself offers innumerable possibilities for the apps that you set up, there are 100s of millions of PHP-driven websites. Also, there are a multitude of PHP-based scripts, which you can use for your websites without the need to possess any programming knowledge. Given the fact that there’re a couple of versions of PHP, you should check if the very same version that you used whilst creating your site is installed on the server as well.
PHP 4 and PHP 5 Support in Cloud Website Hosting
If you order a cloud website hosting package from us, you will never need to speculate as to whether or not your websites are compatible with the web hosting environment, since we offer support for multiple PHP versions for your convenience’s sake. The Hepsia Control Panel will permit you to select PHP 5.5, 5.4, 5.3, 5.2 or 4 with just one single click of the mouse and if you need to change the current version, the update will take effect momentarily. In this way, several years of work on websites built with an older version won’t be in vain. Our hosting platform will even permit you to use a different PHP version for each domain name hosted in your account, so you can use newer and older scripts at the same time. Most hosting providers on the marketplace offer support for one, sometimes for two PHP versions. In stark contrast with them, we trust that you should be the one to choose the version that your own websites will be using.
PHP 4 and PHP 5 Support in Semi-dedicated Hosting
Our Linux semi-dedicated packages support multiple versions of PHP, so you’ll be able to use all the web-based apps that you have developed throughout the years. The Hepsia hosting Control Panel, which comes bundled with every single semi-dedicated account, will allow you to set the required version with only one click of the mouse. You can choose between PHP 4, 5.2, 5.3, 5.4 and 5.5. In case you want to host multiple sites in the exact same account and they have different requirements as regards the hosting environment, you’ll be able to specify a different version for each of them irrespective of which version has been enabled for the account as a whole. This is possible owing to our custom-developed cloud hosting platform, which permits us to run multiple PHP versions concurrently. By comparison, most web hosts typically offer one, occasionally two versions.